commit:     4abf241c1b862bc2bcd5ff191eae59438ee4e652
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 24 03:22:13 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 24 04:02:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4abf241c

dev-python/bottleneck: Bump to 1.4.0_rc5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/bottleneck/Manifest                    |  1 +
 dev-python/bottleneck/bottleneck-1.4.0_rc5.ebuild | 52 +++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/bottleneck/Manifest b/dev-python/bottleneck/Manifest
index 4626db60907c..de23db953952 100644
--- a/dev-python/bottleneck/Manifest
+++ b/dev-python/bottleneck/Manifest
@@ -1 +1,2 @@
 DIST Bottleneck-1.3.8.tar.gz 103252 BLAKE2B 
1e520e33eaa86b7328d469a8de2f0cacedb401f9dab3686cad40132caa23e77055b71e630fadda9305f3d416e8958e9762053e6d46afba4cf15489db77418b67
 SHA512 
951a927ce368643e2ccb5154c05381ce9ff17bc703c0bcd85eab547e345601ad82eb1dc85fa16d667753bf3dc9d0296025984dae463a0153944a85a085331a8e
+DIST bottleneck-1.4.0rc5.tar.gz 103528 BLAKE2B 
760c0958507b5472525694f7b5a11bdb999aa7fb14ab1465d49a81ef8725a007cf070e8393a807a703af7aad1419aafb19859d62bf8871be0348d60b4913d62c
 SHA512 
68394c00567456af54096005d1f971abe872ee1f6d8776aac46d7e183bbb20dbee730e6845fd2c94cdc4dcdb4b8da2e154610784227d5058153c078c61bd9311

diff --git a/dev-python/bottleneck/bottleneck-1.4.0_rc5.ebuild 
b/dev-python/bottleneck/bottleneck-1.4.0_rc5.ebuild
new file mode 100644
index 000000000000..10ecbed939fe
--- /dev/null
+++ b/dev-python/bottleneck/bottleneck-1.4.0_rc5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fast NumPy array functions written in C"
+HOMEPAGE="
+       https://github.com/pydata/bottleneck/
+       https://pypi.org/project/Bottleneck/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+
+DEPEND="
+       >=dev-python/numpy-1.9.1:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       ${DEPEND}
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # don't overwrites user's optimization level
+       sed -e '/extra_compile_args=\["-O2"\]/d' -i setup.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=()
+       case ${EPYTHON} in
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               # GC assumptions?
+                               tests/memory_test.py::test_memory_leak
+                       )
+                       ;;
+       esac
+
+       rm -rf bottleneck || die
+       epytest --pyargs bottleneck
+}

Reply via email to